#
# spec file for package perl-CDDB_get
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-CDDB_get
Version:        2.28
Release:        2.4
#Upstream:  This library is released under the same conditions as Perl, that is, either of the following: a) the GNU General Public License Version 2 as published by the Free Software Foundation, b) the Artistic License. This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See either the GNU General Public License or the Artistic License for more details. You should have received a copy of the Artistic License with this Kit, in the file named "Artistic". If not, I'll be glad to provide one. You should also have received a copy of the GNU General Public License along with this program, in the file names "Copying"; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA. If you use this library in a commercial enterprise, you are invited, but not required, to pay what you feel is a reasonable fee to the author, who can be contacted at armin@xos.net
%define cpan_name CDDB_get
Summary:        Read the CDDB entry for an audio CD in your drive
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/CDDB_get/
Source0:        http://www.cpan.org/authors/id/F/FO/FONKIE/%{cpan_name}-%{version}.tar.gz
Source1:        cddb.pl.1.gz
Source2:        cpanspec.yml
Patch0:         %name-2.23-tmpfile.diff
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}

%description
This module/script gets the CDDB info for an audio cd. You need LINUX,
SUNOS or *BSD, a cdrom drive and an active internet connection in order to
do that.

%prep
%autosetup -p1 -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

# MANUAL BEGIN
install -d -m755  $RPM_BUILD_ROOT/%{_mandir}/man1
install -m644 %{SOURCE1} $RPM_BUILD_ROOT/%{_mandir}/man1
# MANUAL END
%files -f %{name}.files
%defattr(-,root,root,755)
%doc Artistic Changes Copying DATABASE README

%changelog
* Mon Mar  4 2024 pgajdos@suse.com
- Use %%autosetup macro. Allows to eliminate the usage of deprecated
  %%patchN
* Tue Apr 14 2015 coolo@suse.com
- updated to 2.28
  see /usr/share/doc/packages/perl-CDDB_get/Changes
  2.28  06.03.2012
    make tests work with perl 5.15.x
* Tue Oct 14 2014 jengelh@inai.de
- Use source URLs and remove ancient specfile tags and sections
* Fri Nov 18 2011 coolo@suse.com
- use original .tar.gz
* Fri Dec 10 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Tue Oct 19 2010 coolo@novell.com
- add perl as explicit buildrequire
* Sun Jan 10 2010 jengelh@medozas.de
- enable parallel build
* Tue Nov  3 2009 coolo@novell.com
- updated patches to apply with fuzz=0
* Tue Feb  3 2009 kssingvo@suse.de
- added manpage
- 'make test' now in separate %%check section
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Jan  4 2006 mmj@suse.de
- Update to 2.27
* Tue Jul 19 2005 mmj@suse.de
- Update to 2.25
* Tue Jan 20 2004 mmj@suse.de
- Make tempdir securely [#33811]
- Update to 2.23
* Thu Oct 16 2003 mmj@suse.de
- Don't build as root
- Use %%perl_make_install
* Fri Aug 22 2003 mjancar@suse.cz
- require the perl version we build with
* Mon Jul 21 2003 mmj@suse.de
- Update to 2.2, which adds direct device handling in cddb.pl
  (-c /dev/xxx option) and fixes firewall with additional "\n"
  (-F option)
* Mon Jul 14 2003 mmj@suse.de
- Use vendor_install target and friends
* Tue Jul  1 2003 mmj@suse.de
- Use %%perl_process_packlist
* Sun Jun 22 2003 coolo@suse.de
- package directories
* Tue May 13 2003 mmj@suse.de
- Package everything
* Sun Feb  2 2003 mmj@suse.de
- Up to 2.11 which is a small proxy regex bugfix
* Tue Jul  2 2002 mls@suse.de
- remove race in .packlist generation
* Tue May 14 2002 mmj@suse.de
- Initial package. Module and script to access CDDB.
